Name:           img2pdf
Version:        0.4.0
Release:        %mkrel 1
Summary:        Losslessly convert raster images to PDF
Group:          Publishing
License:        LGPLv3
URL:            https://gitlab.mister-muffin.de/josch/img2pdf
Source0:        https://files.pythonhosted.org/packages/source/i/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pdfrw)
BuildRequires:  python3dist(pikepdf)

%description
Python 3 library and command line utility img2pdf for losslessly converting
a bunch of image files into a PDF file. That means that the images
are either inserted into the PDF as-is or they are recompressed using
lossless compression. Thus, img2pdf usually runs faster and may yield
smaller PDF files than an ImageMagick convert command.
The img2pdf command complements the pdfimages command.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%doc CHANGES.rst README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
%{python3_sitelib}/jp2.py
%{python3_sitelib}/%{name}.py
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/jp2*.py*
%{python3_sitelib}/__pycache__/%{name}*.py*


%changelog
* Fri Aug 28 2020 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1619329
- new version: 0.4.0

* Thu Jul 16 2020 daviddavid <daviddavid> 0.3.6-1.mga8
+ Revision: 1606616
- initial package img2pdf

